# khtml Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# DOM::HTMLOptGroupElement Class Reference

Group options together in logical subdivisions. More...

`#include <html_form.h>`

Inheritance diagram for DOM::HTMLOptGroupElement:

[legend]
Collaboration diagram for DOM::HTMLOptGroupElement:

[legend]
List of all members.

## Public Member Functions

| HTMLOptGroupElement (const HTMLOptGroupElement &other)
| HTMLOptGroupElement (const Node &other)
HTMLOptGroupElement & | operator= (const HTMLOptGroupElement &other)
HTMLOptGroupElement & | operator= (const Node &other)
bool | disabled () const
void | setDisabled (bool)
DOMString | label () const
void | setLabel (const DOMString &)

## Protected Member Functions

| HTMLOptGroupElement (HTMLOptGroupElementImpl *impl)

## Detailed Description

Group options together in logical subdivisions.

See the OPTGROUP element definition in HTML 4.0.

Definition at line 756 of file html_form.h.

## Member Function Documentation

bool HTMLOptGroupElement::disabled | ( |  | ) | const

| The control is unavailable in this context. See the disabled attribute definition in HTML 4.0. Definition at line 701 of file html_form.cpp. References DOM::DOMString::isNull().

void HTMLOptGroupElement::setDisabled | ( | bool |  | ) |

| see disabled Definition at line 707 of file html_form.cpp.

DOMString HTMLOptGroupElement::label | ( |  | ) | const

| Assigns a label to this option group. See the label attribute definition in HTML 4.0. Definition at line 713 of file html_form.cpp.

void HTMLOptGroupElement::setLabel | ( | const DOMString & |  | ) |

| see label Definition at line 719 of file html_form.cpp.

The documentation for this class was generated from the following files:

- html_form.h
- html_form.cpp

This file is part of the documentation for khtml Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:34:11 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003